function main_response(data, status, xhr) {
    // Обработка ответов

    if (data !== undefined) {
        // Получены данные с сервера

        // Основной блок
        if (data.main !== undefined) {

            // Инициализация
            main = document.getElementsByTagName('main')[0];

            // Обновление документа
            main.innerHTML = data.main;
        };

        // Заголовок
        if (data.title !== undefined) {

            // Запись
            document.title = data.title;
        };

        // Перенаправление (только запись в историю)
        if (data.redirect !== undefined) {

            // Запись в историю
            history.pushState({}, document.title, data.redirect);
        };

        // Перенаправление
        if (data.location !== undefined) {

            // Перенаправление
            location = data.location;
        };

        // Системное уведомление
        if (data.alert !== undefined) {

            // Отображение
            alert(data.alert);
        };

        // CSRF-токен
        if (data._csrf !== undefined) {

            // Обновление документа
            $('meta[name=csrf-token]').prop("content", data._csrf);
        };
    };
};

var page_loaded_for_history = window.history.state;

window.addEventListener('popstate', function () {
    if (page_loaded_for_history) {

        window.location.reload();
    };
}, false);
